API

Google Search API

The AI-powered Google provides 360° Global Media Data & Intelligence on Google Search, Google News, advertisers, SEO professionals, and content discoverability teams.

Referência da API Versão: 1.0.0 6 Pontos finais Autenticação
Google Monitor

URL base

https://pressmonitor.com/api

Autenticação

Todas as requisicoes exigem os cabecalhos x-api-key e x-subscription-id. x-api-key autentica sua conta; x-subscription-id seleciona o servico assinado.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /google_autocomplete

Google Search Autocomplétion

Parâmetros

Nome Tipo Localização Obrigatório Descrição
text string query Sim Query text

Exemplos de Código

curl -X GET \
  "https://pressmonitor.com/api/google_autocomplete?text=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Respostas

200 Success
GET /google_search_web

Google Search Recherche Web

Parâmetros

Nome Tipo Localização Obrigatório Descrição
text string query Sim Query text
region string query Não Region code
safesearch string query Não SafeSearch filter
timelimit string query Não Time limit
max_results integer query Não Maximum number of results

Exemplos de Código

curl -X GET \
  "https://pressmonitor.com/api/google_search_web?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Respostas

200 Success
GET /google_search_news

Google Search Recherche Actualités

Parâmetros

Nome Tipo Localização Obrigatório Descrição
text string query Sim Query text
region string query Não Region code
max_results integer query Não Maximum number of results

Exemplos de Código

curl -X GET \
  "https://pressmonitor.com/api/google_search_news?text=VALUE®ion=VALUE&max_results=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Respostas

200 Success
GET /google_search_images

Google Search Recherche Images

Parâmetros

Nome Tipo Localização Obrigatório Descrição
text string query Sim Query text
region string query Não Region code
safesearch string query Não SafeSearch filter
timelimit string query Não Time limit
max_results integer query Não Maximum number of results
color string query Não Color
size string query Não Size
image_type string query Não Image type
layout string query Não Layout

Exemplos de Código

curl -X GET \
  "https://pressmonitor.com/api/google_search_images?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&color=VALUE&size=VALUE&image_type=VALUE&layout=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Respostas

200 Success
GET /google_search_videos

Google Search Recherche Vidéos

Parâmetros

Nome Tipo Localização Obrigatório Descrição
text string query Sim Query text
region string query Não Region code
safesearch string query Não SafeSearch filter
timelimit string query Não Time limit
max_results integer query Não Maximum number of results
resolution string query Não Resolution
duration string query Não Duration

Exemplos de Código

curl -X GET \
  "https://pressmonitor.com/api/google_search_videos?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&resolution=VALUE&duration=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Respostas

200 Success
GET /google_search_maps

Google Search Recherche Cartes

Parâmetros

Nome Tipo Localização Obrigatório Descrição
text string query Sim Query text
place string query Não Place
street string query Não Street
city string query Não City
state string query Não State
country string query Não Country code
postalcode string query Não Postalcode
latitude string query Não Latitude
longitude string query Não Longitude
radius string query Não Radius

Exemplos de Código

curl -X GET \
  "https://pressmonitor.com/api/google_search_maps?text=VALUE&place=VALUE&street=VALUE&city=VALUE&state=VALUE&country=VALUE&postalcode=VALUE&latitude=VALUE&longitude=VALUE&radius=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Respostas

200 Success